
DO $$ 
    BEGIN
         IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14268) THEN
		RETURN;
          END IF;
 
        BEGIN
  

CREATE TABLE public."AuthorizationCode"
(
	"Id"				bigserial NOT NULL,
	"Code"				character varying(64) NOT NULL,
	"ClientId"			character varying(64) NOT NULL,
	"UserId"			bigint NOT NULL,
	"Timestamp"			timestamp without time zone DEFAULT timezone('utc', now())  NOT NULL
);

        EXCEPTION
            WHEN duplicate_table THEN RAISE NOTICE 'Create table <AuthorizationCode>.';
        END;
    END;
$$



